From d383af07491029e476782d30171943c3a8b05cf4 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: May 04 2017 22:05:20 +0000
Subject: [PATCH 826/1001] Backend: don't create a new DB session for each task


---

diff --git a/hubs/backend/triage.py b/hubs/backend/triage.py
index 7ea3645..36fb76f 100755
--- a/hubs/backend/triage.py
+++ b/hubs/backend/triage.py
@@ -38,9 +38,10 @@ import hubs.widgets.base
 
 log = logging.getLogger('hubs.backend.triage')
 config = fedmsg.config.load_config()
+session = hubs.app.session
 
 
-def triage(session, outbound, msg):
+def triage(outbound, msg):
     topic = msg['topic']
 
     for suffix in config['hubs.junk_suffixes']:
@@ -103,9 +104,8 @@ def main(args):
                 "(triage backlog: %r, work backlog: %r)  Working on %r %r",
                 inbound.length, outbound.length, msg['msg_id'], msg['topic'],
             )
-            session = hubs.models.init(config['hubs.sqlalchemy.uri'])
             with hubs.app.app.app_context():  # so url_for works
-                for task in triage(session, outbound, msg):
+                for task in triage(outbound, msg):
                     log.debug("  Triage sending %r to workers." % task)
                     outbound.enqueue(task)
             log.debug("  Done with triage of %r.", msg['msg_id'])
diff --git a/hubs/backend/worker.py b/hubs/backend/worker.py
index 552d781..a827c3a 100755
--- a/hubs/backend/worker.py
+++ b/hubs/backend/worker.py
@@ -42,6 +42,7 @@ import hubs.widgets.base
 
 log = logging.getLogger('hubs.backend.worker')
 config = fedmsg.config.load_config()
+session = hubs.app.session
 
 
 def work(widget_idx, fn_name):
@@ -55,7 +56,6 @@ def work(widget_idx, fn_name):
 
 
 def handle(idx, fn_name):
-    session = hubs.models.init(config['hubs.sqlalchemy.uri'])
 
     try:
         with hubs.app.app.app_context():  # so url_for works

